org.apache.lucene.codecs.simpletext

## Class SimpleTextStoredFieldsReader

- java.lang.Object
- - org.apache.lucene.codecs.StoredFieldsReader
  - - org.apache.lucene.codecs.simpletext.SimpleTextStoredFieldsReader

All Implemented Interfaces:
  Closeable, AutoCloseable, Cloneable, Accountable

    public class SimpleTextStoredFieldsReader
    extends StoredFieldsReader

reads plaintext stored fields

FOR RECREATIONAL USE ONLY

WARNING: This API is experimental and might change in incompatible ways in the next release.

### Constructor Summary

Constructors
Constructor and Description
`SimpleTextStoredFieldsReader(Directory directory, SegmentInfo si, FieldInfos fn, IOContext context)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `checkIntegrity()`
`StoredFieldsReader` `clone()`
`void` `close()`
`long` `ramBytesUsed()`
`String` `toString()`
`void` `visitDocument(int n, StoredFieldVisitor visitor)`

### Methods inherited from class org.apache.lucene.codecs.StoredFieldsReader

`getMergeInstance`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.lucene.util.Accountable

`getChildResources`

### Constructor Detail

#### SimpleTextStoredFieldsReader

    public SimpleTextStoredFieldsReader(Directory directory,
                                        SegmentInfo si,
                                        FieldInfos fn,
                                        IOContext context)
                                 throws IOException

Throws:
  `IOException`

### Method Detail

#### visitDocument

    public void visitDocument(int n,
                              StoredFieldVisitor visitor)
                       throws IOException

Specified by:
  `visitDocument` in class `StoredFieldsReader`
Throws:
  `IOException`

#### clone

    public StoredFieldsReader clone()

Overrides:
  `clone` in class `StoredFieldsReader`

#### close

    public void close()
               throws IOException

Throws:
  `IOException`

#### ramBytesUsed

    public long ramBytesUsed()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### checkIntegrity

    public void checkIntegrity()
                        throws IOException

Specified by:
  `checkIntegrity` in class `StoredFieldsReader`
Throws:
  `IOException`